> ## Documentation Index
> Fetch the complete documentation index at: https://docs.buylo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all locations

> Returns a list of all locations defined in the tenant (warehouses, stores, etc.).



## OpenAPI

````yaml https://app.buylo.ai/api/documentation/swagger/openapi.yaml get /api/external/locations
openapi: 3.1.1
info:
  title: Buylo - company external API
  version: 1.0.0
  description: >-
    API endpoints for managing products and EPCs in the Buylo system. Use
    company token for authentication.
servers:
  - url: https://app.buylo.ai/
security:
  - bearerAuth: []
paths:
  /api/external/locations:
    get:
      tags:
        - Locations
      summary: List all locations
      description: >-
        Returns a list of all locations defined in the tenant (warehouses,
        stores, etc.).
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Location'
                required:
                  - data
        '403':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    Location:
      type: object
      properties:
        id:
          type: integer
          example: 1
        name:
          type: string
          example: Main Warehouse
        type:
          type: string
          description: Location type (e.g. WAREHOUSE, STORE)
          example: WAREHOUSE
        antennas_ids:
          type: array
          items:
            type: integer
          example:
            - 3
            - 7
        printer_ids:
          type: array
          items:
            type: integer
          example:
            - 2
      required:
        - id
        - name
        - type
    InvalidResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message describing the issue
      required:
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````